# Uses of Class
javafx.scene.layout.Background

Packages that use Background
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of Background in javafx.scene.layout

Fields in javafx.scene.layout declared as Background
Modifier and Type
Field
Description
`static final Background`
Background.`EMPTY`
An empty Background, useful to use instead of null.
Methods in javafx.scene.layout that return Background
Modifier and Type
Method
Description
`final Background`
Region.`getBackground()`
Gets the value of the `background` property.
Methods in javafx.scene.layout that return types with arguments of type Background
Modifier and Type
Method
Description
`final ObjectProperty<Background>`
Region.`backgroundProperty()`
The background of the Region, which is made up of zero or more BackgroundFills, and zero or more BackgroundImages.
Methods in javafx.scene.layout with parameters of type Background
Modifier and Type
Method
Description
`final void`
Region.`setBackground(Background value)`
Sets the value of the `background` property.